/* BBBasicShapeHollowSticks.h				 
 *
 * This region shape draws a hollow stick region.
 *
 * For more interface-info see the header file. More in depth information
 * can be found in the source-code.
 *
 * Written by: 		Thomas Engel
 * Created:    		23.05.1994 (Copyleft)
 * Last modified: 	23.05.1994
 */

#import "BBBasicShapeHollowSticks.h"
#import "BBBondShape.h"
#import "BBMolecule.h"

@implementation BBBasicShapeHollowSticks

- addSubshapesTo:aList
{
	// Hollow sticks... just plain bonds.
	
	id	tempList;
	id	newShape;
	int	i;
	
	[super addSubshapesTo:aList];
	
	tempList = [[self region] bondList];
	for( i=0; i<[tempList count]; i++ )
	{
		newShape = [[BBBondShape alloc] initFrom:[tempList objectAt:i]
										asPartOf:self];
		[aList addObject:newShape];
	}
	
	return self;
}

- (float)bondRadius:sender
{
	return 0.1;
}

@end

/*
 * History: 23.05.94 First regionShape subclass.
 *
 *
 * Bugs: - Nop
 */