/* BBBasicShapeRoundSticks.h				 
 *
 * This region shape draws a stick model with nice round ends.
 *
 * For more interface-info see the header file. More in depth information
 * can be found in the source-code.
 *
 * Written by: 		Thomas Engel
 * Created:    		23.05.1994 (Copyleft)
 * Last modified: 	23.05.1994
 */

#import "BBBasicShapeRoundSticks.h"
#import "BBAtomShape.h"
#import "BBMolecule.h"
#import "BBAtom.h"

@implementation BBBasicShapeRoundSticks

- addSubshapesTo:aList
{
	// Round sticks. Well like sticks but we add those nice atoms at the end.
	
	id	tempList;
	id	newShape;
	int	i;
	
	[super addSubshapesTo:aList];
	
	tempList = [[self region] atomList];
	for( i=0; i<[tempList count]; i++ )
	{
		newShape = [[BBAtomShape alloc] initFrom:[tempList objectAt:i]
										asPartOf:self];
		[aList addObject:newShape];
	}
	
	return self;
}

- (float)atomRadius:sender
{
	return 0.1;
}

@end

/*
 * History: 23.05.94 Another regionShape subclass.
 *
 *
 * Bugs: - Nop
 */