/* BBBeaker.h				 
 *
 * This object controls the data of a beaker (molecules, cameras, groups etc.)
 * It is the main document of BeakerBoy and controls everything from loading to
 * setting up the browser which does most of the other work.
 *
 * Usage: ....
 *
 * Written by: 		Thomas Engel
 * Created:    		23.10.1993 (Copyleft)
 * Last modified: 	12.11.1994
 */

#import "BBSuitcase.h"

@interface BBBeaker:BBSuitcase
{
	id	filename;
		
	id	window;
  	id	browser;
	id	browserManager;
	
	BBSuitcase *	moleculeList;
    BBSuitcase *	cameraList;
}

+ initialize;

- init;
- initFromFile:(const char *)fileName;
- free;

- (const char *)filename;

- addMolecule:aMolecule;
- removeMolecule:aMolecule;
- emptyMoleculeList;
- moleculeList;

- addCamera:aCamera;
- removeCamera:aCamera;
- emptyCameraList;
- cameraList;

- close:sender;

- read:(NXTypedStream *)stream;
- write:(NXTypedStream *)stream;

@end

/*
 * History: 12.11.94 Added archiving and versioning.
 *
 *			02.05.94 We are draggable now. and a BBBeaker!
 *
 *			09.03.94 Add selection grouping and multiple selections.
 *
 *			21.01.94 Added the name handling.
 *
 *			03.01.94 Added the initFromFile and allowed read/write. Yeaah
 *
 *			28.12.93 Added some init methods and the objectImage stuff.
 *
 *			15.11.93 Added simple support for fileFormatMgr to provide a simple
 *					 mol creation.
 *
 *			23.10.93 Some methods for basic interface actions. Nothing realy
 *					 cool.
 *
 * Bugs: - Nop..:-)
 */