/* BBBeakerCamera.h				 
 *
 * Here is the view that shows us the nice molecules.
 *
 * For more interface-info see the header file. More in depth information
 * can be found in the source-code.
 *
 * Written by: 		Thomas Engel
 * Created:    		14.12.1993 (Copyleft)
 * Last modified: 	14.05.1994
 */

#import <3Dkit/3Dkit.h>

@interface BBBeakerCamera:N3DCamera
{
	id		pointLight;
	id		ambientLight;
	id		beakerShape;
	
	RtPoint pointLightPosition;
}

- createWorldFor:aBeaker;
- addShape:aShape;
- renderSelf:(RtToken)context;

@end

/*
 * History: 07.05.94 Fits new naming style and has new init method.
 *
 *			27.03.94 Removed the toPoint stuff.
 *
 *			26.03.94 Removed the setEyeZ method and switched to the original
 *					 NeXT methods getEyeAt....
 *
 *			14.12.93 Here we got. First methods and code arrives.
 *         
 *
 * Bugs: - The creation of the shapes should work somewhat different. This 
		   would allow a more flexible world creation.!
 *		
 *
 */