/* BBBond.h				 
 *
 * The Bond object handle everything that belongs to a bond.
 * This includes info on the connected atoms and the type of connection.
 *
 * Usage: Create a new bond and then set all the values. Just creating an atom  
 *		  inits all the standard setups but can result in a useless object!
 * 
 * Attention: This Object will change a lot !!!!
 *
 * Written by: 		Thomas Engel
 * Created:    		15.11.1993 (Copyleft)
 * Last modified: 	14.05.1994
 */

#import <iconkit/IKFolder.h>

// Here we define some basic Bondtypes

#define BOND_SINGLE		1
#define BOND_DOUBLE		2
#define BOND_TRIPLE		3
#define BOND_DOUBLE_DELOCATED	12		// 12 because delocated(1) double(2) ?!

@interface BBBond:IKFolder
{
	id		fromAtom;
	id		toAtom;
	char	type;
}

- connect:firstAtom to:secondAtom with:(char)aType;

- fromAtom;
- toAtom;
- (char)type;
- molecule;

@end

/*
 * History: 09.03.94 Added the molecule query method.
 *
 *			14.01.94 Did some redesign with that class.
 *
 *			10.01.94 Changed some methods to work properly with our
 *					 new objectWell.
 *
 *			12.12.93 Changed to connection method. But I should include it 
 *					 into a +newConnection clasxMethode.
 *
 *			15.11.93 Added some basic methods for testing. Later this object
 *					 will be completly different!
 *
 *
 * Bugs: Could be...or not...
 */
