/* BBCameraWindow.h				 
 *
 * Represents a particular View of a Beaker. Here we control the beakerCamera
 * and relating controls and settings.
 *
 * Usage: Well alloc this object and init it with the object list (the list
 *		  will be treated as a property of this camera! So keep that in mind)
 *		  and the beaker. 
 *		  
 *
 * Written by: 		Thomas Engel
 * Created:    		22.10.1993 (Copyleft)
 * Last modified: 	17.05.1994
 */

#import "BBSuitcase.h"

@interface BBCameraWindow:BBSuitcase
{
	id		window;
	id		camera;
	id		ourBeaker;
	id		beakerShape;
}

- initFrom:aList asPartOf:aBeaker;
- addShapesFrom:anObject;
- addShapeOf:oneObject;
- findShapeFor:anObject;

- print:sender;
- close:sender;
- closeWindow;
- window;
- camera;

// As the windows delegate we will handle this:

- windowDidBecomeMain:sender;

@end

/*
 * History: 17.05.94 Added automatic shape creation and printing method.
 *
 *			21.01.94 Added closing the window and naming.
 *
 *			10.01.94 Changed some methods to work properly with our
 *					 new objectWell.
 *
 *			28.12.93 Added the obj-image support and some window delegation.
 *
 *			22.12.93 Started some real coding.
 *
 *			22.10.93 Created this Object do some nice prototyping of my app.
 *
 *
 * Bugs: ?
 */