/* BBMacMoleculeFilter.h				 
 *
 * This format filter does handle read/write of molecules in the
 * MacMolecule Text (.macMol) fileformat.
 *
 * Notes: These filters are automatically use by the FileFilterManager.
 *
 * Written by: 		Thomas Engel
 * Created:    		25.03.1994 (Copyleft)
 * Last modified: 	25.03.1994
 */

#import <appkit/appkit.h>

@interface BBMacMoleculeFilter:Object
{
	id	theLine;
	id	tokenList;
	id	mol;
	id	symbolList;
}

- (float)canReadFile:(const char *)filename;

- readBeaker:aBeaker fromFile:(const char *)filename;
- (BOOL)readAtomData;
- (BOOL)readBondData;
- checkSymbol:symbol;

// This writes the given Beaker to a file.

- writeBeaker:aBeaker toFile:(const char *)filename;

@end

/*
 * History: 25.03.94 A basic implementation.
 *
 *
 * Bugs: - Does not handle some data inside the file.
 */
