/* BBPdbFilter.h				 
 *
 * This format filter does handle read/write of molecules in the
 * Protein Data Bank (.pdb or .PDB) fileformat.
 *
 * Notes: These filers are automatically use by the FileFilterManager.
 *
 * Written by: 		Thomas Engel
 * Created:    		01.11.1994 (Copyleft)
 * Last modified: 	01.11.1994
 */

#import <appkit/appkit.h>

@interface BBPdbFilter:Object
{
	id	theLine;
	id	tokenList;
	id	mol;
}

- (float)canReadFile:(const char *)filename;

- readBeaker:aBeaker fromFile:(const char *)filename;
- (BOOL)readNewLine;
- (BOOL)readAtomData;
- (BOOL)readBondData;
- checkSymbol:symbol andUpdate:symbolExtention;

// This writes the given Beaker to a file.

- writeBeaker:aBeaker toFile:(const char *)filename;

@end

/*
 * History: 01.11.94 Created this object to parse ATOm and BOND info only.
 *
 *
 * Bugs: - many PDB marks not supported
 */
