/* BBBasicAtomInspector.m				 
 *
 * This subclass of MiscInspectorWrapper inscpets BasicAtoms....
 *
 * For interface-info see the header file. The comments in this file mostly
 * cover only the real implementation details.
 *
 * Written by: 		Thomas Engel
 * Created:    		12.01.1994 (Copyleft)
 * Last modified: 	12.05.1994
 */

#import "BBBasicAtomInspector.h"
#import "../../BBBasicAtom.h"

@implementation BBBasicAtomInspector

- (BOOL)doesHandleSelection
{
	// If it's a single BasicAtom we will do it and load our NIB if there are
	// no controllers yet.
	
	if( [self selectionCount] == 1 &&
		[[self selection] isMemberOf:[BBBasicAtom class]] )
	{
		if( !controllers )
		{
			if( [NXApp loadNibSection:"BasicAtomInspector.nib" 
								owner:self] == nil )
				NXRunAlertPanel( NULL, "Couldn't load BasicAtomInspector.nib",
								 "OK", NULL, NULL );
		}
		return YES;
	}
	return NO;
}

@end

/*
 * History: 12.05.94 Converted to fit BB... naming
 *
 *			25.02.94 Conform to new MiscSwapKit
 *
 *			12.01.94 My first code for this subclass of InspectorManager
 *
 *
 * Bugs: unknown
 */