/* BBCameraInspector.m				 
 *
 * This subclass of MiscInspectorWrapper inspects Cameras (CameraWindows).
 *
 * For interface-info see the header file. The comments in this file mostly
 * cover only the real implementation details.
 *
 * Written by: 		Thomas Engel
 * Created:    		20.12.1993 (Copyleft)
 * Last modified: 	12.05.1994
 */

#import "BBCameraInspector.h"
#import "../../BBCameraWindow.h"

@implementation BBCameraInspector

- (BOOL)doesHandleSelection
{
	// If it's a single CameraWindow we will do it and load our NIB if 
	// there are no controllers yet.
	
	if( [self selectionCount] == 1 &&
		[[self selection] isMemberOf:[BBCameraWindow class]] )
	{
		if( !controllers )
		{
			if( [NXApp loadNibSection:"CameraInspector.nib" 
								owner:self] == nil )
				NXRunAlertPanel( NULL, "Couldn't load CameraInspector.nib",
								 "OK", NULL, NULL );
		}
		return YES;
	}
	return NO;
}

@end

/*
 * History: 12.05.94 Converted to fit BB... naming
 *
 *			25.02.94 Revised for new MiscSwapKit
 *
 *			08.01.94 Changed to work with our new swapControllers.
 *
 *			20.12.93 My third subclass of InspectorManager
 *
 *
 * Bugs: unknown
 */