/* BBMoleculeInspector.m				 
 *
 * This subclass of MiscInspectorWrapper inspects Molecules.
 *
 * For interface-info see the header file. The comments in this file mostly
 * cover only the real implementation details.
 *
 * Written by: 		Thomas Engel
 * Created:    		18.12.1993 (Copyleft)
 * Last modified: 	12.05.1994
 */

#import "BBMoleculeInspector.h"
#import "../../BBMolecule.h"

@implementation BBMoleculeInspector

- (BOOL)doesHandleSelection
{
	// It it's a single Molecule we will do it and load our NIB if there are
	// no controllers yet.
	
	if( [self selectionCount] == 1 &&
		[[self selection] isMemberOf:[BBMolecule class]] )
	{
		if( !controllers )
		{
			if( [NXApp loadNibSection:"MoleculeInspector.nib" 
								owner:self] == nil )
				NXRunAlertPanel( NULL, "Couldn't load MoleculeInspector.nib",
								 "OK", NULL, NULL );
		}
		return YES;
	}
	return NO;
}
@end

/*
 * History: 12.05.94 Converted to fit BB... naming
 *
 *			09.03.94 Made it BBMolecule Conform
 *
 *			24.02.94 Changed for new swapKit.
 *
 *			18.12.93 My second subclass of InspectorManager
 *
 *
 * Bugs: unknown
 */