/* BBRegionInspector.m				 
 *
 * This subclass of MiscInspectorWrapper inspects Regions.
 *
 * For interface-info see the header file. The comments in this file mostly
 * cover only the real implementation details.
 *
 * Written by: 		Thomas Engel
 * Created:    		09.03.1994 (Copyleft)
 * Last modified: 	12.05.1994
 */

#import "BBRegionInspector.h"
#import "../../BBRegion.h"

@implementation BBRegionInspector

- (BOOL)doesHandleSelection
{
	// It it's a single Region we will do it and load our NIB if there are
	// no controllers yet.
	// It may be a subclass a BBRegion as well
	
	if( [self selectionCount] == 1 &&
		[[self selection] isKindOf:[BBRegion class]] )
	{
		if( !controllers )
		{
			if( [NXApp loadNibSection:"RegionInspector.nib" 
								owner:self] == nil )
				NXRunAlertPanel( NULL, "Couldn't load RegionInspector.nib",
								 "OK", NULL, NULL );
		}
		return YES;
	}
	return NO;
}
@end

/*
 * History: 12.05.94 Converted to fit BB... naming
 *
 *			09.03.94 First implementation. Should work like this.
 *
 *
 * Bugs: unknown
 */