/* BBDefaultApp.m				 
 *
 * This is a swapable defaults provider that serves the BBAppManager and 
 * general system defaults.
 *
 * For more interface-info see the header file. In depth information
 * can be found here in the source-code.
 *
 * Written by: 		Thomas Engel
 * Created:    		14.05.1994 (Copyleft)
 * Last modified: 	17.11.1994
 */

#import "BBDefaultApp.h"
#import <misckit/MiscString.h>

@implementation BBDefaultApp

-revert:sender
{
	// Right now we have nothing to do.

	return [super revert:self];
}

- (BOOL)hasDefaultsFor:anObject
{
	if( [anObject isMemberOf:[Application class]] )
			return YES;
	else	return NO;
}

- (BOOL)use3DMouseIfPossible
{
	return (BOOL)[mouseSwitch state];
}

- mouseServerPortName
{
	// We will create a MiscString with the port name of the currently wanted
	// 3DMouseServer. It is the responsiblity of the caller to free the string.
	
	id thePortName;
	
	if( [autoServerNamingSwitch state] == YES )
		thePortName = [MiscString newWithString:"localhost/3DDeviceServer"];
	else
		thePortName = [MiscString newWithString:[serverNameField stringValue]];
	
	return thePortName;
}

- switchToAuto3DServerName:sender
{
	// [serverNameField setStringValue:"localhost/3DDeviceServer"];
	//
	// well maybe we should lock the field right here....but I'm not sure.
	// anyway I will leave it right here.
	
	return self;
}

@end

/*
 * History: 17.11.94 Added mouseServer support.
 *
 *			14.05.94 First implementation.
 *
 *
 * Bugs: ?
 */