/* ToolBoy.m				 
 *
 * This is the manager of all the tools. It controls were to get them and how
 * to start/activate them.
 *
 * For interface-info see the header file. The comments in this file mostly
 * cover only the real implementation details.
 *
 * Written by: 		Thomas Engel
 * Created:    		25.11.1993 (Copyleft)
 * Last modified: 	25.01.1994
 */

#import "ToolBoy.h"
#import <misckit/MiscSwapView.h>

@implementation ToolBoy

- makeKeyAndOrderFront:sender
{
	// Load the NIB if not already done and by default we will start inspecting
	// the first cell in the scrolling matrix. This will always be defined
	// And could be the BeakerBoy himself.
	
	id	aButtonCell;
	
	if( !window )
	{
		if ([NXApp loadNibSection:"ToolBoy.nib" owner:self] == nil)
			NXRunAlertPanel(NULL,"Couldn't load ToolBoy.nib","OK",NULL,NULL);

		aButtonCell = [[buttonMatrix cellList] objectAt:0];
		[buttonMatrix selectCell:aButtonCell];
		[swapView swapContentView:buttonMatrix];	
	}
	[window makeKeyAndOrderFront:self];

	return self;
}

@end

/*
 * History: 25.01.94 Made it MiscSwap compatible.
 *
 *			25.11.93 First attempts to create or ToolBoy.
 *
 *
 * Bugs: Yes.
 */